## tyxml 2.0

=== Makefile ===

include Makefile.config
-include Makefile.local

all: META
	$(MAKE) -C syntax byte opt
	$(MAKE) -C lib byte opt

byte: META
	$(MAKE) -C syntax byte
	$(MAKE) -C lib byte

opt: META
	$(MAKE) -C syntax opt
	$(MAKE) -C lib opt

clean:
	$(MAKE) -C lib clean
	$(MAKE) -C syntax clean
	$(MAKE) -C doc clean
	rm -f META

distclean:
	$(MAKE) -C syntax distclean
	$(MAKE) -C lib distclean
	$(MAKE) -C doc distclean
	-rm -f *~ \#* .\#* META

.PHONY: doc
doc:
	$(MAKE) -C doc

depend:
	$(MAKE) -C syntax depend
	$(MAKE) -C lib depend

include Makefile.filelist
VERSION := $(shell head -n 1 VERSION)

META: META.in Makefile.config
	sed -e s%_LIBNAME_%${LIBNAME}%g \
	    -e s%_PACKAGENAME_%${PACKAGENAME}%g \
	    $< > $@

install:
	$(OCAMLFIND) install ${PACKAGENAME} \
	  -patch-version ${VERSION} \
	  META ${INTF} ${IMPL} ${NATIMPL} \
	  ${MLI_TO_INSTALL}

install-byte:
	$(OCAMLFIND) install ${PACKAGENAME} \
	  -patch-version ${VERSION} \
	  META ${INTF} ${IMPL} ${MLI_TO_INSTALL}

install-opt:
	$(OCAMLFIND) install ${PACKAGENAME} \
	  -patch-version ${VERSION} \
	  META ${INTF} ${NATIMPL} ${MLI_TO_INSTALL}

uninstall:
	$(OCAMLFIND) remove ${PACKAGENAME}

reinstall: uninstall install
reinstall-byte: uninstall install-byte
reinstall-opt: uninstall install-opt

dist:
	DARCS_REPO=$(PWD) darcs dist -d ${PACKAGENAME}-${VERSION}

=== doc/Makefile ===
include ../Makefile.config
include ../Makefile.filelist

LIB := -I ../lib -I ../syntax

ifeq "${OCAMLDUCE}" "YES"
OCAMLDOC := ${OCAMLDUCEFIND} ocamldoc -package ocamlduce
else
OCAMLDOC := ${OCAMLFIND} ocamldoc
endif

doc: odoc

odoc:
	mkdir -p api-html
	$(OCAMLDOC) ${LIB} -d api-html -intro indexdoc -html $(addprefix ../,${DOC})

clean:
	-rm -f api-html/*
distclean: clean
	-rm -f *~ \#* .\#*

=== lib/Makefile ===
include ../Makefile.config
-include ../Makefile.local

FILES_F := uri.ml        \
	   XML_iter.ml   \
	   XML_print.ml  \
	   XHTML_f.ml    \
	   SVG_f.ml      \
	   HTML5_f.ml    \

FILES := ${FILES_F} XML.ml XHTML.ml SVG.ml HTML5.ml

DUCE_INTF  := XML_sigs_duce.mli XHTML_types_duce.mli XML_print_duce.mli XHTML_duce.mli

DUCE_FILES := XML_print_duce.ml XHTML_duce.ml

LIBS     := -package netstring

# SYNTAX := -ppopt ../syntax/pa_include.cmo -package camlp4 -syntax camlp4o

OCAMLC   := $(OCAMLFIND) ocamlc ${SYNTAX}
OCAMLOPT := $(OCAMLFIND) ocamlopt ${SYNTAX}
OCAMLDEP := $(OCAMLFIND) ocamldep ${SYNTAX}

OCAMLDUCEC   := ${OCAMLDUCEFIND} ocamlc${BYTEDBG} -thread
OCAMLDUCEOPT := ${OCAMLDUCEFIND} ocamlopt ${OPTDBG} -thread
OCAMLDUCEDEP := ${OCAMLDUCEFIND} ocamldep

all: byte opt

byte:: ${LIBNAME}.cma ${LIBNAME}_f.cma
opt:: ${LIBNAME}.cmxa ${LIBNAME}_f.cmxa
ifeq "${NATDYNLINK}" "YES"
opt:: ${LIBNAME}.cmxs ${LIBNAME}_f.cmxs
endif

${LIBNAME}.cma: $(FILES:.ml=.cmo)
	$(OCAMLC) -a $^ -o $@

${LIBNAME}.cmxa: $(FILES:.ml=.cmx)
	$(OCAMLOPT) -a $^ -o $@

${LIBNAME}_f.cma: $(FILES_F:.ml=.cmo)
	$(OCAMLC) -a $^ -o $@

${LIBNAME}_f.cmxa: $(FILES_F:.ml=.cmx)
	$(OCAMLOPT) -a $^ -o $@

##########

ifeq "${OCAMLDUCE}" "YES"
byte:: ${LIBNAME}_duce.cma
opt:: ${LIBNAME}_duce.cmxa
ifeq "${NATDYNLINK}" "YES"
opt:: ${LIBNAME}_duce.cmxs
endif
endif

${LIBNAME}_duce.cma: ${DUCE_FILES:.ml=.cmo}
	${OCAMLC} -a -o $@ $^
${LIBNAME}_duce.cmxa: ${DUCE_FILES:.ml=.cmx}
	${OCAMLOPT} -a -o $@ $^

##########

${DUCE_INTF:.mli=.cmi}: %.cmi: %.mli
	$(OCAMLDUCEC) ${LIBS} -c $<
${DUCE_FILES:.ml=.cmo}: %.cmo: %.ml
	$(OCAMLDUCEC) ${LIBS} -c $<
${DUCE_FILES:.ml=.cmx}: %.cmx: %.ml
	$(OCAMLDUCEOPT) ${LIBS} -c $<

%.cmi: %.mli
	$(OCAMLC) ${LIBS} -c $<
%.cmo: %.ml
	$(OCAMLC) ${LIBS} -c $<
%.cmx: %.ml
	$(OCAMLOPT) ${LIBS} -c $<
%.cmxs: %.cmxa
	$(OCAMLOPT) -shared -linkall -o $@ $<

# Clean up
clean:
	-rm -f *.cm[ioax] *.cmxa *.cmxs *.o *.a *.annot
distclean: clean
	-rm -f *~ \#* .\#*

depend:
	$(OCAMLDEP) $(filter-out ${DUCE_INTF}, ${wildcard *.mli}) > .depend
	$(OCAMLDEP) $(filter-out ${DUCE_FILES}, ${wildcard *.ml}) >> .depend
ifeq "${OCAMLDUCE}" "YES"
	${OCAMLDUCEDEP} ${DUCE_FILES} ${DUCE_INTF} >> .depend
endif

FORCE:

-include .depend

=== syntax/Makefile ===
include ../Makefile.config
-include ../Makefile.local

FILES   := xmllexer.ml camllexer.ml simplexmlparser.mli pa_tyxml.mli
RFILES  := basicTypes.ml \
	   simplexmlparser.ml \
	   xhtmlparser.ml xhtmlsyntax.ml

PREDEP  := xmllexer.ml camllexer.ml

LIB     := -package camlp4
PP      := -pp "camlp4of -loc loc"
PPR     := -pp "camlp4rf -loc loc"

OCAMLC   := $(OCAMLFIND) ocamlc $(DBG) $(LIB)
OCAMLOPT := $(OCAMLFIND) ocamlopt $(DBG) $(LIB)
OCAMLDEP := $(OCAMLFIND) ocamldep $(LIB)

byte: pa_${LIBNAME}.cmi pa_${LIBNAME}.cmo xmllexer.cmo simplexmlparser.cmo
opt:: xmllexer.cmx simplexmlparser.cmx
ifeq "${NATDYNLINK}" "YES"
opt:: xmllexer.cmxs simplexmlparser.cmxs
endif

OBJS := xmllexer.cmo basicTypes.cmo camllexer.cmo xhtmlparser.cmo xhtmlsyntax.cmo

pa_${LIBNAME}.cmo: ${OBJS}
	$(OCAMLC) -pack -o $@ $^

# Common rules

ML   := $(filter %.ml,${FILES})
MLI  := $(filter %.mli,${FILES})
MLR  := $(filter %.ml,${RFILES})
MLIR := $(filter %.mli,${RFILES})

${MLI:.mli=.cmi}: %.cmi: %.mli
	$(OCAMLC) $(PP) -c $<
${ML:.ml=.cmo}: %.cmo: %.ml
	$(OCAMLC) $(PP) -c $<
${ML:.ml=.cmx}: %.cmx: %.ml
	$(OCAMLOPT) $(PP) -c $<

${MLIR:.mli=.cmi}: %.cmi: %.mli
	$(OCAMLC) $(PPR) -c $<
${MLR:.ml=.cmo}: %.cmo: %.ml
	$(OCAMLC) $(PPR) -c $<
${MLR:.ml=.cmx}: %.cmx: %.ml
	$(OCAMLOPT) $(PPR) -c $<

%.ml: %.mll
	$(OCAMLLEX) $<

%.cmxs: %.cmx
	$(OCAMLOPT) -shared -linkall -o $@ $<

# Clean up
clean:
	-rm -f ${PREDEP}
	-rm -f *.cm[ioax] *.cmxa *.cmxs *.o *.a *.annot
distclean: clean
	-rm -f *~ \#* .\#*

# Dependencies
depend: ${PREDEP}
	$(OCAMLDEP) $(PP) ${FILES} > .depend
	$(OCAMLDEP) $(PPR) ${RFILES} >> .depend

FORCE:

-include .depend

=== debian/changelog ===
tyxml (2.0-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 17:00:11 +0000

tyxml (2.0-1build1) precise; urgency=low

  * Rebuild for new OCaml library ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 21:05:16 +0000

tyxml (2.0-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Sep 2011 21:11:08 +0200

tyxml (2.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Create new runtime binary package libtyxml-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Aug 2011 18:50:07 +0200

tyxml (1.91-1) unstable; urgency=low

  * Initial release (Closes: #633953)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Jul 2011 14:34:52 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://ocsigen.org/tyxml/install .*/tyxml-(.*)\.tar\.gz

## tyxml 2.0.1

=== lib/Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 include ../Makefile.config
 -include ../Makefile.local
 
-FILES_F := uri.ml        \
-	   XML_iter.ml   \
+FILES_F := XML_iter.ml   \
 	   XML_print.ml  \
 	   XHTML_f.ml    \
 	   SVG_f.ml      \

=== syntax/Makefile ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 PREDEP  := xmllexer.ml camllexer.ml
 
-LIB     := -package camlp4
+LIBS    := -package camlp4
 PP      := -pp "camlp4of -loc loc"
 PPR     := -pp "camlp4rf -loc loc"
 
-OCAMLC   := $(OCAMLFIND) ocamlc $(DBG) $(LIB)
-OCAMLOPT := $(OCAMLFIND) ocamlopt $(DBG) $(LIB)
-OCAMLDEP := $(OCAMLFIND) ocamldep $(LIB)
+OCAMLC   := $(OCAMLFIND) ocamlc $(DBG) $(LIBS)
+OCAMLOPT := $(OCAMLFIND) ocamlopt $(DBG) $(LIBS)
+OCAMLDEP := $(OCAMLFIND) ocamldep $(LIBS)
 
 byte: pa_${LIBNAME}.cmi pa_${LIBNAME}.cmo xmllexer.cmo simplexmlparser.cmo
 opt:: xmllexer.cmx simplexmlparser.cmx

=== debian/changelog ===
tyxml (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 07:08:13 +0100

=== debian/control ===
Source: tyxml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 camlp4-extra,
 libocamlnet-ocaml-dev,
 ocamlduce,
 ocaml-nox
Standards-Version: 3.9.2
Section: ocaml
Homepage: http://ocsigen.org/tyxml
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tyxml.git

Package: libtyxml-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: typed XML in OCaml (development files)
 TyXML allows one to build XML trees whose validity is ensured by the
 typechecker. It's based on a translation of XML types into polymorphic
 variants, originally written by Thorsten Ohl. Currently, the
 transcription has been done for XHTML 1.0 and 1.1, HTML5 and SVG
 (partial).
 .
 TyXML also provides a generic printer and some low-level (and
 untyped) iterators over XML trees. The printer has options for
 printing XHTML in more browser-friendly way when served as
 "text/html" (instead of "text/xml"). HTML5 is always printed with
 those options.
 .
 All modules provided by TyXML are also provided in functorial
 interface, where every module is parameterised by the underlying XML
 representation.
 .
 A camlp4 extension, named Pa_tyxml, allows one to write HTML pages or
 HTML fragments with the usual syntax.
 .
 This package contains the development files needed to use TyXML.

Package: libtyxml-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: typed XML in OCaml (plugins)
 TyXML allows one to build XML trees whose validity is ensured by the
 typechecker. It's based on a translation of XML types into polymorphic
 variants, originally written by Thorsten Ohl. Currently, the
 transcription has been done for XHTML 1.0 and 1.1, HTML5 and SVG
 (partial).
 .
 TyXML also provides a generic printer and some low-level (and
 untyped) iterators over XML trees. The printer has options for
 printing XHTML in more browser-friendly way when served as
 "text/html" (instead of "text/xml"). HTML5 is always printed with
 those options.
 .
 All modules provided by TyXML are also provided in functorial
 interface, where every module is parameterised by the underlying XML
 representation.
 .
 A camlp4 extension, named Pa_tyxml, allows one to write HTML pages or
 HTML fragments with the usual syntax.
 .
 This package contains dynamically loadable modules for plugins.

Package: libtyxml-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: typed XML in OCaml (documentation)
 TyXML allows one to build XML trees whose validity is ensured by the
 typechecker. It's based on a translation of XML types into polymorphic
 variants, originally written by Thorsten Ohl. Currently, the
 transcription has been done for XHTML 1.0 and 1.1, HTML5 and SVG
 (partial).
 .
 TyXML also provides a generic printer and some low-level (and
 untyped) iterators over XML trees. The printer has options for
 printing XHTML in more browser-friendly way when served as
 "text/html" (instead of "text/xml"). HTML5 is always printed with
 those options.
 .
 All modules provided by TyXML are also provided in functorial
 interface, where every module is parameterised by the underlying XML
 representation.
 .
 A camlp4 extension, named Pa_tyxml, allows one to write HTML pages or
 HTML fragments with the usual syntax.
 .
 This package contains the documentation of TyXML.

## tyxml 2.0.1c

=== lib/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 byte:: ${LIBNAME}.cma ${LIBNAME}_f.cma
 opt:: ${LIBNAME}.cmxa ${LIBNAME}_f.cmxa
-ifeq "${NATDYNLINK}" "YES"
+ifeq "${NATDYNLINK}" "yes"
 opt:: ${LIBNAME}.cmxs ${LIBNAME}_f.cmxs
 endif
 
@@ -47,10 +47,10 @@
 
 ##########
 
-ifeq "${OCAMLDUCE}" "YES"
+ifeq "${OCAMLDUCE}" "yes"
 byte:: ${LIBNAME}_duce.cma
 opt:: ${LIBNAME}_duce.cmxa
-ifeq "${NATDYNLINK}" "YES"
+ifeq "${NATDYNLINK}" "yes"
 opt:: ${LIBNAME}_duce.cmxs
 endif
 endif
@@ -87,7 +87,7 @@
 depend:
 	$(OCAMLDEP) $(filter-out ${DUCE_INTF}, ${wildcard *.mli}) > .depend
 	$(OCAMLDEP) $(filter-out ${DUCE_FILES}, ${wildcard *.ml}) >> .depend
-ifeq "${OCAMLDUCE}" "YES"
+ifeq "${OCAMLDUCE}" "yes"
 	${OCAMLDUCEDEP} ${DUCE_FILES} ${DUCE_INTF} >> .depend
 endif

=== syntax/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 byte: pa_${LIBNAME}.cmi pa_${LIBNAME}.cmo xmllexer.cmo simplexmlparser.cmo
 opt:: xmllexer.cmx simplexmlparser.cmx
-ifeq "${NATDYNLINK}" "YES"
+ifeq "${NATDYNLINK}" "yes"
 opt:: xmllexer.cmxs simplexmlparser.cmxs
 endif

=== debian/changelog ===
tyxml (2.0.1c-1) unstable; urgency=low

  * New upstream release
    - add Fix-typo-causing-FTBFS-with-ocamlduce.patch
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 13:33:01 +0100

## tyxml 2.0.2

=== debian/changelog ===
tyxml (2.0.2-1) unstable; urgency=low

  * New upstream release
    - remove patch (merged upstream)
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 10:14:33 +0100

## tyxml 2.1

=== lib/Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 include ../Makefile.config
 -include ../Makefile.local
 
-FILES_F := XML_iter.ml   \
-	   XML_print.ml  \
-	   XHTML_f.ml    \
-	   SVG_f.ml      \
-	   HTML5_f.ml    \
+FILES_F := xml_iter.ml   \
+	   xml_print.ml  \
+	   xhtml_f.ml    \
+	   svg_f.ml      \
+	   html5_f.ml    \
 
-FILES := ${FILES_F} XML.ml XHTML.ml SVG.ml HTML5.ml
+FILES := ${FILES_F} xml.ml xhtml.ml svg.ml html5.ml
 
-DUCE_INTF  := XML_sigs_duce.mli XHTML_types_duce.mli XML_print_duce.mli XHTML_duce.mli
+DUCE_INTF  := xml_sigs_duce.mli xhtml_types_duce.mli xml_print_duce.mli xhtml_duce.mli
 
-DUCE_FILES := XML_print_duce.ml XHTML_duce.ml
+DUCE_FILES := xml_print_duce.ml xhtml_duce.ml
 
 LIBS     := -package netstring

=== debian/changelog ===
tyxml (2.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Jun 2012 07:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libocamlnet-ocaml-dev,
  ocamlduce,
  ocaml-nox
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git

## tyxml 2.2.0

=== Makefile ===

include Makefile.config
-include Makefile.local

all: files/META files/META.tyxml
	$(MAKE) -C syntax byte opt
	$(MAKE) -C lib byte opt

byte: files/META files/META.tyxml
	$(MAKE) -C syntax byte
	$(MAKE) -C lib byte

opt: files/META files/META.tyxml
	$(MAKE) -C syntax opt
	$(MAKE) -C lib opt

clean:
	$(MAKE) -C lib clean
	$(MAKE) -C syntax clean
	$(MAKE) -C doc clean
	rm -f files/META files/META.tyxml

distclean:
	$(MAKE) -C syntax distclean
	$(MAKE) -C lib distclean
	$(MAKE) -C doc distclean
	-rm -f *~ \#* .\#* files/META files/META.tyxml

.PHONY: doc
doc:
	$(MAKE) -C doc

depend:
	$(MAKE) -C syntax depend
	$(MAKE) -C lib depend

include Makefile.filelist
VERSION := $(shell head -n 1 VERSION)

files/META: files/META.in Makefile.config
	sed -e s%_LIBNAME_%${LIBNAME}%g \
	    -e s%_PACKAGENAME_%${PACKAGENAME}%g \
            -e s%_LIBDIR_%% \
            -e s%_SYNTAXDIR_%% \
	   $< > $@

files/META.tyxml: files/META.in Makefile.config
	sed -e s%_LIBNAME_%${LIBNAME}%g \
	    -e s%_PACKAGENAME_%${PACKAGENAME}%g \
            -e s%_LIBDIR_%directory\ =\ \"..\/lib\"% \
            -e s%_SYNTAXDIR_%directory\ =\ \"..\/syntax\"% \
	  $< > $@

install:
	$(OCAMLFIND) install ${PACKAGENAME} \
	  -patch-version ${VERSION} \
	  files/META ${INTF} ${IMPL} ${NATIMPL} \
	  ${MLI_TO_INSTALL}

install-byte:
	$(OCAMLFIND) install ${PACKAGENAME} \
	  -patch-version ${VERSION} \
	  files/META ${INTF} ${IMPL} ${MLI_TO_INSTALL}

install-opt:
	$(OCAMLFIND) install ${PACKAGENAME} \
	  -patch-version ${VERSION} \
	  files/META ${INTF} ${NATIMPL} ${MLI_TO_INSTALL}

uninstall:
	$(OCAMLFIND) remove ${PACKAGENAME}

reinstall: uninstall install
reinstall-byte: uninstall install-byte
reinstall-opt: uninstall install-opt

dist:
	DARCS_REPO=$(PWD) darcs dist -d ${PACKAGENAME}-${VERSION}

=== doc/Makefile ===
include ../Makefile.config
include ../Makefile.filelist

LIB := -I ../lib -I ../syntax

ifeq "${OCAMLDUCE}" "yes"
OCAMLDOC := ${OCAMLDUCEFIND} ocamldoc -package ocamlduce
ODOC_WIKI := odoc_duce_wiki.cma
else
OCAMLDOC := ${OCAMLFIND} ocamldoc
ODOC_WIKI := odoc_wiki.cma
endif

doc: api-html/index.html
api-html/index.html: indexdoc $(addprefix ../,${DOC})
	mkdir -p api-html
	$(OCAMLDOC) ${LIB} -d api-html -intro indexdoc -html $(addprefix ../,${DOC})

docwiki: api-wiki/index.wiki
api-wiki/index.wiki: indexdoc $(addprefix ../,${DOC})
	mkdir -p api-wiki
	$(OCAMLDOC) ${LIB} -d api-wiki -intro indexdoc -colorize-code \
	   -i $(shell ocamlfind query wikidoc) -g ${ODOC_WIKI} \
	   $(addprefix ../,${DOC})

clean:
	-rm -f api-html/* api-wiki/*
distclean: clean
	-rm -f *~ \#* .\#*

=== lib/Makefile ===
--- 
+++ 
@@ -17,12 +17,12 @@
 
 # SYNTAX := -ppopt ../syntax/pa_include.cmo -package camlp4 -syntax camlp4o
 
-OCAMLC   := $(OCAMLFIND) ocamlc ${SYNTAX}
-OCAMLOPT := $(OCAMLFIND) ocamlopt ${SYNTAX}
+OCAMLC   := $(OCAMLFIND) ocamlc ${DBG} ${SYNTAX}
+OCAMLOPT := $(OCAMLFIND) ocamlopt ${DBG} ${SYNTAX}
 OCAMLDEP := $(OCAMLFIND) ocamldep ${SYNTAX}
 
-OCAMLDUCEC   := ${OCAMLDUCEFIND} ocamlc${BYTEDBG} -thread
-OCAMLDUCEOPT := ${OCAMLDUCEFIND} ocamlopt ${OPTDBG} -thread
+OCAMLDUCEC   := ${OCAMLDUCEFIND} ocamlc ${DBG} -thread
+OCAMLDUCEOPT := ${OCAMLDUCEFIND} ocamlopt ${DBG} -thread
 OCAMLDUCEDEP := ${OCAMLDUCEFIND} ocamldep
 
 all: byte opt

=== syntax/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 -include ../Makefile.local
 
 FILES   := xmllexer.ml camllexer.ml simplexmlparser.mli pa_tyxml.mli
-RFILES  := basicTypes.ml \
+RFILES  := basic_types.ml \
 	   simplexmlparser.ml \
 	   xhtmlparser.ml xhtmlsyntax.ml
 
@@ -22,7 +22,7 @@
 opt:: xmllexer.cmxs simplexmlparser.cmxs
 endif
 
-OBJS := xmllexer.cmo basicTypes.cmo camllexer.cmo xhtmlparser.cmo xhtmlsyntax.cmo
+OBJS := xmllexer.cmo basic_types.cmo camllexer.cmo xhtmlparser.cmo xhtmlsyntax.cmo
 
 pa_${LIBNAME}.cmo: ${OBJS}
 	$(OCAMLC) -pack -o $@ $^

=== debian/changelog ===
tyxml (2.2.0-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:33:41 +0100

tyxml (2.2.0-3) experimental; urgency=low

  * Fix compilation with ocamlnet >= 3.6.5 (netstring-pcre)
  * Disable ocamlduce support
  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Nov 2013 02:13:22 +0100

tyxml (2.2.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 23:16:00 +0200

tyxml (2.2.0-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 20:27:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
- ocaml-findlib,
- camlp4-extra,
- libocamlnet-ocaml-dev,
- ocamlduce,
- ocaml-nox
-Standards-Version: 3.9.3
+ ocaml-findlib (>= 1.4),
+ camlp4-extra (>= 4.01),
+ libocamlnet-ocaml-dev (>= 3.7),
+ ocaml-nox (>= 4.01)
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  BUILD_TARGET := byte opt
  INSTALL_TARGET := install
else
  BUILD_TARGET := byte
  INSTALL_TARGET := install-byte
endif

ifeq ($(OCAML_NATDYNLINK),yes)
  MAKE_EXTRA_VARS :=
else
  MAKE_EXTRA_VARS := NATDYNLINK=NO
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(MAKE_EXTRA_VARS) $(BUILD_TARGET)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) $(MAKE_EXTRA_VARS) $(INSTALL_TARGET)
ifneq ($(findstring libtyxml-ocaml-doc,$(shell dh_listpackages)),)
	$(MAKE) $(MAKE_EXTRA_VARS) doc
endif

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

## tyxml 3.0.0

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	grep -v '^#' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

wikidoc: $(SETUP) setup.data build
	./$(SETUP) -build tyxml-api.wikidocdir/index.wiki

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 include ../Makefile.config
 -include ../Makefile.local
 
-FILES_F := xml_iter.ml   \
+FILES_F := xml_wrap.ml   \
+	   xml_iter.ml   \
 	   xml_print.ml  \
 	   xhtml_f.ml    \
 	   svg_f.ml      \
@@ -13,11 +14,15 @@
 
 DUCE_FILES := xml_print_duce.ml xhtml_duce.ml
 
-LIBS     := -package netstring
+LIBS     :=
+
+ifeq ($(HAVE_OCAML4), yes)
+ANNOT := -annot -bin-annot
+endif
 
 # SYNTAX := -ppopt ../syntax/pa_include.cmo -package camlp4 -syntax camlp4o
 
-OCAMLC   := $(OCAMLFIND) ocamlc ${DBG} ${SYNTAX}
+OCAMLC   := $(OCAMLFIND) ocamlc $(ANNOT) ${DBG} ${SYNTAX}
 OCAMLOPT := $(OCAMLFIND) ocamlopt ${DBG} ${SYNTAX}
 OCAMLDEP := $(OCAMLFIND) ocamldep ${SYNTAX}

=== syntax/Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 PREDEP  := xmllexer.ml camllexer.ml
 
 LIBS    := -package camlp4
-PP      := -pp "camlp4of -loc loc"
-PPR     := -pp "camlp4rf -loc loc"
+PP      := -pp "camlp4of"
+PPR     := -pp "camlp4rf"
 
 OCAMLC   := $(OCAMLFIND) ocamlc $(DBG) $(LIBS)
 OCAMLOPT := $(OCAMLFIND) ocamlopt $(DBG) $(LIBS)

=== debian/changelog ===
tyxml (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 May 2014 17:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  camlp4-extra (>= 4.01),
  libocamlnet-ocaml-dev (>= 3.7),
  ocaml-nox (>= 4.01)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tyxml.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tyxml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/tyxml.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/tyxml.git
 
 Package: libtyxml-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	make setup.exe
	./setup.exe -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libtyxml-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	./setup.exe -build
	./setup.exe -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	./setup.exe -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	./setup.exe -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	if [ -x setup.exe ]; then ./setup.exe -distclean; fi

## tyxml 3.5.0

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

wikidoc: setup.data build
	$(SETUP) -build tyxml-api.wikidocdir/index.wiki

=== debian/changelog ===
tyxml (3.5.0-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:41:45 +0200

tyxml (3.5.0-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 18:03:53 +0200

tyxml (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on camlp4 instead of camlp4-extrac
  * Add libuutf-ocaml-dev to Build-Depends
  * Adapt d/rules to upstream's new build system
  * Do not install .ml files, .mli are provided
  * Install tyxml_tools.cm{a,xs} in libtyxml-ocaml
  * Install *.cmt{,i} and *.annot in libtyxml-ocaml-dev

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 11:30:32 +0200

tyxml (3.0.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Drop versioned dependency for camlp4-extra

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 21:36:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
  ocaml-findlib (>= 1.4),
- camlp4-extra (>= 4.01),
+ camlp4,
  libocamlnet-ocaml-dev (>= 3.7),
+ libuutf-ocaml-dev,
+ ocamlbuild,
  ocaml-nox (>= 4.01)
 Standards-Version: 3.9.5
 Section: ocaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	$(MAKE) configure
	./configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libtyxml-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) build
	$(MAKE) doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(MAKE) test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(MAKE) install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) distclean

## tyxml 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+OCAMLFIND_IGNORE_DUPS_IN = $(shell ocamlfind query compiler-libs)
+export OCAMLFIND_IGNORE_DUPS_IN
+
 # OASIS_START
 # DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

=== debian/changelog ===
tyxml (4.1.0-1) unstable; urgency=medium

  * Team upload

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9
  * This version requires uutf >= 1.0.1-2~

  [ Mehdi Dogguy ]
  * This version requires re as a Build-Dependency
  * Add libppx-tools-ocaml-dev to build dependencies
  * Patch various files to remove uchar as a dependency
  * Disable building ppx files since markup is not packaged yet
  * Disable Markup temporarily using a patch
  * Fix docdir given to configure script
  * Update .install files
  * List missing files but not fail, in d/rules
  * Add ocamlbuild as a build dependency

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 21 May 2018 17:37:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
+ ocamlbuild,
  ocaml-findlib (>= 1.4),
  camlp4,
  libocamlnet-ocaml-dev (>= 3.7),
- libuutf-ocaml-dev,
- ocamlbuild,
+ libuutf-ocaml-dev (>= 1.0.1-2~),
+ libre-ocaml-dev,
+ libppx-tools-ocaml-dev,
  ocaml-nox (>= 4.01)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/tyxml.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/tyxml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/tyxml
+Vcs-Git: https://salsa.debian.org/ocaml-team/tyxml.git
 
 Package: libtyxml-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
https://github.com/ocsigen/tyxml/tags/ .*/([\d\.+]+)\.tar\.gz

## tyxml 4.3.0

=== Makefile ===
.PHONY: default
default: build

.PHONY: build
build:
	dune build @install

.PHONY: tools
tools:
	dune build tools/autoname.exe
	@echo "You can now use: 'dune exec tools/autoname.exe -- element'"

.PHONY: test
test:
	dune runtest

.PHONY: clean
clean:
	dune clean

.PHONY: doc
doc:
	dune build @doc

.PHONY: doc-api-wiki
wikidoc: build
	make -C doc wikidoc

=== docs/Makefile ===
BLD=../_build/default
SRC=..

PKGS=\
  -package uutf -package re -package markup \
  -package ppx_tools_versioned

INCS=\
	-I ${BLD}/lib/.*.objs \
	-I ${BLD}/implem/.*.objs \
	-I ${BLD}/tools/.*.objs \
	-I ${BLD}/tools/.*.objs

MLIS=\
  $(wildcard ${SRC}/lib/*.mli) \
	$(wildcard ${SRC}/implem/*.mli) ${SRC}/implem/tyxml.ml \
	$(wildcard ${SRC}/tools/*.mli) \
  ${SRC}/ppx/tyxml_ppx.mli

DOCOPT := -colorize-code -short-functors -charset utf-8

.PHONY: doc wikidoc
doc: api/html/index.html
api/html/index.html: ${MLIS} indexdoc
	mkdir -p api/html
	ocamlfind ocamldoc ${DOCOPT} ${PKGS} ${INCS} -intro indexdoc -html \
		-d api/html \
		${MLIS}

wikidoc: api/wiki/index.wiki
api/wiki/index.wiki: ${MLIS} indexdoc
	mkdir -p api/wiki
	ocamlfind ocamldoc ${DOCOPT} ${PKGS} ${INCS} -intro indexdoc \
		-d api/wiki \
		-i $(shell ocamlfind query wikidoc) -g odoc_wiki.cma \
		${MLIS}

clear:
	rm -rf api

=== debian/changelog ===
tyxml (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2020 11:25:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-ocaml (>= 0.9),
- ocamlbuild,
- ocaml-findlib (>= 1.4),
- camlp4,
- libocamlnet-ocaml-dev (>= 3.7),
- libuutf-ocaml-dev (>= 1.0.1-2~),
+ debhelper-compat (= 12),
+ libuchar-ocaml-dev,
+ libseq-ocaml-dev,
+ libuutf-ocaml-dev,
  libre-ocaml-dev,
- libppx-tools-ocaml-dev,
- ocaml-nox (>= 4.01)
-Standards-Version: 3.9.8
+ ocaml-nox,
+ ocaml-dune,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: http://ocsigen.org/tyxml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/tyxml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p tyxml

override_dh_auto_test:
# Needs alcotest

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) tyxml
	rm -f $(DESTDIR)/usr/doc/tyxml/LICENSE

override_dh_missing:
	dh_missing --fail-missing

## tyxml 4.4.0

=== docs/Makefile ===
--- 
+++ 
@@ -6,10 +6,9 @@
   -package ppx_tools_versioned
 
 INCS=\
-	-I ${BLD}/lib/.*.objs \
-	-I ${BLD}/implem/.*.objs \
-	-I ${BLD}/tools/.*.objs \
-	-I ${BLD}/tools/.*.objs
+	-I ${BLD}/lib/.*.objs/byte \
+	-I ${BLD}/implem/.*.objs/byte \
+	-I ${BLD}/tools/.*.objs/byte
 
 MLIS=\
   $(wildcard ${SRC}/lib/*.mli) \
@@ -35,5 +34,5 @@
 		-i $(shell ocamlfind query wikidoc) -g odoc_wiki.cma \
 		${MLIS}
 
-clear:
-	rm -rf api
+clean:
+	rm -rf html api

=== debian/changelog ===
tyxml (4.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2020 09:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libuchar-ocaml-dev,
  libseq-ocaml-dev,
  libuutf-ocaml-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) tyxml
 	rm -f $(DESTDIR)/usr/doc/tyxml/LICENSE
-
-override_dh_missing:
-	dh_missing --fail-missing

## tyxml 4.5.0

=== examples/basic_website/Makefile ===
site_gen := make_site

all:
	ocamlfind ocamlc site_html.ml -package tyxml -short-paths -linkpkg -o ${site_gen}
	./${site_gen}

clean:
	rm -f *.cmo *.cmt *.cmi ${site_gen} index.html

=== debian/changelog ===
tyxml (4.5.0-4build3) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:54:22 +0200

tyxml (4.5.0-4build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:56:44 +0100

tyxml (4.5.0-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 17:34:26 +0100

tyxml (4.5.0-4) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standards-Version to 4.6.2
  * Mark <!nocheck> build-dependencies

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:51:52 +0200

tyxml (4.5.0-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 07:01:03 +0200

tyxml (4.5.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:24:47 +0200

tyxml (4.5.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * libtyxml-ocaml-doc: Add Multi-Arch: foreign.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2021 18:11:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: tyxml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -8,13 +9,14 @@
  libseq-ocaml-dev,
  libuutf-ocaml-dev,
  libre-ocaml-dev,
- ocaml-nox,
+ ocaml,
  ocaml-dune,
- dh-ocaml
-Standards-Version: 4.5.0
+ libalcotest-ocaml-dev <!nocheck>,
+ dh-ocaml (>= 1.2.1)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://ocsigen.org/tyxml
+Homepage: https://ocsigen.org/tyxml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/tyxml
 Vcs-Git: https://salsa.debian.org/ocaml-team/tyxml.git
 
@@ -82,6 +84,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: typed XML in OCaml (documentation)
  TyXML allows one to build XML trees whose validity is ensured by the
  typechecker. It's based on a translation of XML types into polymorphic

## tyxml 4.6.0

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,25 @@
 doc:
 	dune build @doc
 
-.PHONY: doc-api-wiki
-wikidoc: build
-	make -C doc wikidoc
+# WIKIDOC stuff
+# Should have wikidoc installed with
+# opam pin add https://github.com/ocsigen/wikidoc.git
+
+DOCDIR=_wikidoc
+
+$(DOCDIR)/.git:
+	mkdir -p $(DOCDIR)
+	cd $(DOCDIR) && (\
+		git clone -b wikidoc git@github.com:ocsigen/tyxml.git . \
+	)
+
+.PHONY: doc wikidoc
+wikidoc: build $(DOCDIR)/.git
+	make -C docs wikidoc; exit 0
+	rm -rf _wikidoc/docs/dev/*
+	cp -r docs/api/wiki _wikidoc/docs/dev/api/
+	cp -r docs/manual-wiki _wikidoc/docs/dev/manual
+	git -C $(DOCDIR) add --all 
+	git -C $(DOCDIR) commit -a -m "wikidoc updates"
+	git -C $(DOCDIR) push origin wikidoc
+

=== docs/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 PKGS=\
   -package uutf -package re -package markup \
-  -package ppx_tools_versioned
+  -package ppxlib
 
 INCS=\
 	-I ${BLD}/lib/.*.objs/byte \

=== examples/basic_website_ppx/Makefile ===
site_gen := make_site

all:
	ocamlfind ocamlc site_html.ml -package tyxml.ppx -short-paths -linkpkg -o ${site_gen}
	./${site_gen}

clean:
	rm -f *.cmo *.cmt *.cmi ${site_gen} index.html

=== examples/mini_website/Makefile ===
site_gen := minihtml

all:
	ocamlfind ocamlc minihtml.ml -short-paths -package tyxml -linkpkg -o ${site_gen}
	./${site_gen}

clean:
	rm -f *.cmo *.cmt *.cmi ${site_gen} index.html

=== examples/mini_website_ppx/Makefile ===
site_gen := minihtml

all:
	ocamlfind ocamlc minihtml.ml -short-paths -package tyxml.ppx -linkpkg -o ${site_gen}
	./${site_gen}

clean:
	rm -f *.cmo *.cmt *.cmi ${site_gen} index.html

=== debian/changelog ===
tyxml (4.6.0-1build8) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:46:28 +0200

tyxml (4.6.0-1build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 09:49:00 +0200

tyxml (4.6.0-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:24:31 +0200

tyxml (4.6.0-1build5) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 May 2025 07:44:09 -0400

tyxml (4.6.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:24:03 +0100

tyxml (4.6.0-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:38:34 +0200

tyxml (4.6.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:47:46 +0200

tyxml (4.6.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:40:11 +0200

tyxml (4.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 05:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: tyxml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
